#!/bin/bash

SCRIPTS_PATH=$('pwd')
PRODUCT_PATH=$SCRIPTS_PATH/../
PKG_VERSION="0.2.0"
OLD_NODE_VERSION=$(node -v)

source ~/.bashrc
source ~/.nvm/nvm.sh

{
  	nvm install $OLD_NODE_VERSION
	nvm install 14
	nvm use 14
} || {
	echo 'NVM not installed...'
}

cd $PRODUCT_PATH
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" "$PKG_VERSION" "productInfo.json"

{
	cd $PRODUCT_PATH/frontend
    
    npm install    
    npm run build
    
} || {
	echo 'Error install frontend dependencies...'
	exit 1
}

{
	cd $PRODUCT_PATH/backend
    rm -rf _node_modules
    npm install
    mv node_modules _node_modules
} || {
	echo 'Error install backend dependencies'
	exit 1
}

nvm use $OLD_NODE_VERSION
echo 'Finish'
